# Create a family input type

Assigns an input type to a family.

Endpoint: POST /v1/families/{familyUuid}/input-types
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `familyUuid` (string, required)
    The unique identifier of the family.

## Request fields (application/json):

  - `typeGroupUuid` (string, required)
    Identifier of the type group containing the input type.

  - `inputTypeUuid` (string, required)
    Identifier of the input type to associate.

  - `requirementLevel` (string, required)
    Requirement level for an association within a product family.
    Enum: "may", "must", "should"

  - `appliesToSimple` (boolean, required)
    Whether this input type applies to simple products.

  - `appliesToParent` (boolean, required)
    Whether this input type applies to parent products.

  - `appliesToVariant` (boolean, required)
    Whether this input type applies to variant products.

## Response 201 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this family-input type association.

  - `familyUuid` (string, required)
    Identifier of the family this association belongs to.

  - `typeGroupUuid` (string, required)
    Identifier of the type group containing the input type.

  - `inputTypeUuid` (string, required)
    Identifier of the input type that is associated.

  - `createdAt` (string, required)
    Timestamp when the association was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when the association was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `requirementLevel` (string, required)
    Requirement level for an association within a product family.
    Enum: "may", "must", "should"

  - `appliesToSimple` (boolean, required)
    Whether this input type applies to simple products.

  - `appliesToParent` (boolean, required)
    Whether this input type applies to parent products.

  - `appliesToVariant` (boolean, required)
    Whether this input type applies to variant products.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


